#ifndef _DITHER_H
#define _DITHER_H

#include<stdlib.h>
#include<string.h>

#ifndef MIN
#define MIN(x,y) ( (x) < (y) ? (x) : (y) )
#endif

typedef unsigned char guchar;
extern void
dither_cmyk(guchar        *rgb,         /* I - RGB pixels */
            int           row,          /* I - Current Y coordinate */
            int           src_width,    /* I - Width of input row */
            int           dst_width,    /* I - Width of output rows */
            unsigned char *cyan,        /* O - Cyan bitmap pixels */
            unsigned char *magenta,     /* O - Magenta bitmap pixels */
            unsigned char *yellow,      /* O - Yellow bitmap pixels */
            unsigned char *black)       /* O - Black bitmap pixels */
;
extern void
dither_black(guchar *gray,       /* I - Grayscale pixels */
      int           row,         /* I - Current Y coordinate */
      int           src_width,   /* I - Width of input row */
      int           dst_width,   /* I - Width of output row */
      unsigned char *black)      /* O - Black bitmap pixels */
;

#endif

